> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post tokens

> Generate a new token.



## OpenAPI

````yaml /schema.json post /tokens
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tokens:
    post:
      tags:
        - JWT
      description: Generate a new token.
      operationId: createToken
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenCreate'
      responses:
        '200':
          description: A token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenCreateResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TokenCreate:
      type: object
      properties:
        name:
          title: Token name
          type: string
          maxLength: 45
          ui:
            ui:options:
              autoFocus: true
        description:
          title: Description
          type: string
          maxLength: 64000
      required:
        - name
    TokenCreateResponse:
      type: object
      properties:
        access_token:
          type: string
        identifier:
          type: string
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````